- name: Postfix
  rules:
    - alert: PostfixDown
      expr: >
        postfix_up{job="postfix"} == 0
      for: 10m
      labels:
        severity: critical
      annotations:
        summary: "Postfix on {{ $labels.instance }} is down"
    - alert: PostfixQueueNotEmptying
      expr: >
        postfix_showq_message_size_bytes_sum{job="postfix"} > 0
      for: 10m
      labels:
        severity: critical
      annotations:
        summary: "Postfix queue {{ $labels.queue }} on {{ $labels.instance }} has been non-empty over 10m"
